Create customer

Submits a customer to your platform.
This endpoint is only available to certain participants leveraging zerohash for customer settlements. Please contact us for more information on enabling this endpoint.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Customer profile data including personal information, contact details, and KYC information

All accepted fields for an EU customer

string
required

The first name of the customer being onboarded.

string

The middle name of the customer being onboarded.

string
required

The last name of the customer being onboarded.

string
required

Customer email address, required.
Note: zerohash will validate that the email is a correctly formatted email, and that the value is unique per-platform

string
required

The phone number of the participant

string
enum
required

The ISO-3166-1 alpha2 citizenship of the participant, e.g. US.

place_of_birth
object

The place of birth of the participant, as is defined on their ID (Passport, etc.).

Required if;

  • id_number_type=passport
  • id_number_type=us-passport
  • id_number_type=non-us-passport
string
required

Date of birth of the customer in the format YYYY-MM-DD

string
required

First line for the customer's address.

Notes:

  • The regular maximum length is 80 characters.
  • If the platform is on the vendor reliance track, the maximum length increases to 200 characters.
  • PO Box addresses are not accepted.
string

Extra information, like an apartment or suite number.

Notes:

  • The maximum length is 50 characters for platform using KYCaaS through zerohash.
  • If the platform is on the shared vendor reliance track, the maximum length increases to 200 characters.
  • PO Box addresses are not accepted.
string
required

The city customer resides in.

string
required
length ≥ 4

Same as zip. Postal code of the customer, in the format "min 4 characters, no leading or trailing spaces".

string
required

The national ID of the participant, e.g. a social security number.

  • Required when citizenship_code is US.
  • Optional when citizenship_code is not US, but if provided, must be accompanied by a valid id_number and id_number_type.
  • If the tax ID provided is a US ITIN (a 9-digit US ID that begins with the number 9), then id_number_type will be required.
string
enum
required

Passport, EU Drivers License, National ID are EU-specific types. EU platforms also accept us_passport, non_us_passport, non_us_other, us_drivers_license, us_id_card, us_passport_card

string
required

The ID number for the customer.

  • Required when citizenship_code is not US
  • Required when citizenship_code : US but tax_id is an ITIN (a 9-digit US ID that begins with the number 9).
string

ID Issuing Date of the customer in the format YYYY-MM-DD

string
required

ISO-3166-1_A2 country code that issued the ID. Required if id_number is provided.

string

The locality where the customer's ID was issued, as is defined on their ID (Passport, etc.) ISO 3166-1 alpha-2 Country Code format.

string
required

ID Expiration Date of the customer in the format YYYY-MM-DD.

Required if;

  • id_number_type=passport
  • id_number_type=us-passport
  • id_number_type=non-us-passport
number
required

The UNIX timestamp (in milliseconds) when the Services Agreement was accepted by the participant. This timestamp value must be from no longer than one (1) year in the past or one (1) day in the future.

number
required

The UNIX timestamp (in milliseconds) when KYC was passed. This timestamp value must be from no longer than one (1) year in the past or one (1) day in the future.

string
enum
required

The ISO 3166-2 subdivision code that the customer resides in. A full list of valid jurisdiction codes can be retrieved from the GET /jurisdictions/subdivisions endpoint passing a country parameter.

string
enum
required

Whether the participant passed or failed KYC by vendor

Allowed:
number
required

The UNIX timestamp (in milliseconds) when KYC was passed. This timestamp value must be from no longer than one (1) year in the past or one (1) day in the future.

string
enum
required

Whether the participant passed sanctions checks (Platforms with X do not need to send sanction_screening)

Allowed:
string
enum
required

Whether the participant passed or failed ID verification

Allowed:
string
enum
required

Whether the participant passed or failed a liveness check

Allowed:
string
enum
required

The risk-rating associated with the customer, conditionally required for certain platforms

Allowed:
string
enum
required

Employment status

Allowed:
string
enum
required

Employment industry

string
enum
required

Source of funds

string
enum

Salary of the participant

Allowed:
string
enum
required

Savings and investments of the participant.

Allowed:
string
enum

The estimated total value of transactions the individual expects to process annually on the platform, in a specified currency (e.g., USD, EUR depends on region).

Allowed:
string
enum

How often the individual will use the platform's services.

Allowed:
tx_type_of_service
array of strings
length ≥ 0

The main service type the individual will use, like buy_crypto or sell_crypto, or both, or less, or more etc.

tx_type_of_service
string
enum

The expected duration of the individual's platform use, e.g., short_term (<1 year) or long_term (>5 years).

Allowed:
string

Optional text to explain a non-standard relationship term (e.g., "few months for a project"). Used when other is provided in tx_relationship_term_with_service.

signed_agreements
array of objects
required
signed_agreements*
number
required

The UNIX timestamp (in milliseconds) when the participant completed self-certification for DAC8 compliance. Mandatory for participants that are based in Europe.

tax_residence
object
required

Tax residence address for the customer

string
enum

Optional. Reason for the tax residence jurisdiction differing from the legal jurisdiction. Defaults to "unknown" if not provided.

Allowed:
proof_of_address_coordinates
object

GPS coordinates of the proof of address. Accepts both Decimal Degrees (DD) and Degrees Minutes Seconds (DMS) formats.

Headers
string
required

HMAC-SHA256 signature of the request, base64-encoded. See the Authentication guide for the exact signing formula.

string
required

Current Unix timestamp in seconds. Must be within 60 seconds of server time or the request is rejected.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json